#include <bits/stdc++.h>

using namespace std;

int main()
{
    ios::sync_with_stdio(0);
    cin.tie(0);
    int n,x,m1=0,m2=INT_MAX,a;
    cin>>n>>x;
    for(int i=0;i<n;i++){
        cin>>a;
        if(a>m1)
            a=m1;
        if(a<m2)
            a=m2;
    }
    if(m1>x && m2>x)
        cout<<abs(m1-x);
    else if(m1<x && m2<x)
        cout<<abs(x-m2);
    else{
        if(abs(m1-x)<abs(x-m2))
            cout<<2*abs(m1-x)+abs(x-m2);
        else
            cout<<2*abs(x-m2)+abs(m1-x);
    }
    return 0;
}